function clearDisplay()
	term.clear()
	term.setCursorPos(1,1)
end

function getCurrentTime()
	local time = textutils.formatTime(os.time("local")+2, true)
	return time
end

function writeToFile(file, content)
	file = fs.open(file, "w")
	file.write(content)
	file.close()
end

function appendToFile(file, content)
	file = fs.open(file, "a")
	file.write(content)
	file.close()
end

function appendToFileNl(file, content)
	file = fs.open(file, "a")
	file.writeLine(content)
	file.close()
end

function readFileOneline(file)
	file = fs.open(file, "r")
	data = file.readLine()
	file.close()
	if (data == "true") then data = true elseif data == "false" then data = false end
	return data
end

function readFileAll(file)
	file = fs.open(file, "r")
	if (file == nil) then
		print("File does not exist.")
	else
		data = file.readAll()
		file.close()
	end
	return data
end

function ntfy(msg)
	http.post("https://ntfy.brammer.cc/8DI2nmDPVG6l7A0x", msg)
end

function splitStringToArray(input_str)
	table = {}
	i = 0
	for str in string.gmatch(input_str, "([^"..",".."]+)") do
		table[i] = str
		i = i + 1
	end
	return table
end

--secure digging wrappers
local function secureDig()
  while turtle.detect() do 
    turtle.dig() 
  end
end
local function secureDigUp()
  while turtle.detectUp() do 
    turtle.digUp() 
  end
end
local function secureDigDown()
  while turtle.detectDown() do 
    turtle.digDown() 
  end
end

return
{
	clearDisplay=clearDisplay,
	getCurrentTime=getCurrentTime,
	writeToFile=writeToFile,
	appendToFile=appendToFile,
	appendToFileNl=appendToFileNl,
	readFileOneline=readFileOneline,
	readFileAll=readFileAll,
	ntfy=ntfy,
	splitStringToArray=splitStringToArray,
  secureDig=secureDig,
  secureDigUp=secureDigUp,
  secureDigDown=secureDigDown,
}